#!/bin/sh

#
# read configuration file
#
if [ -r /etc/rc.conf ]; then
	. /etc/rc.conf
else
	echo configuration file not found, using default settings
fi
echo update method: ${update_method:="0"}
echo update server: ${update_server:="192.168.1.1"}
echo update filename: ${update_filename:="incaip.tar.gz"}

/sbin/fw_setenv update_server $update_server

if [ ${update_method} -eq 0 ]; then 
   /sbin/fw_setenv update_method manual
   /sbin/prepare_update.sh /dev/mtdblock/3 factory_system current_system /temporary_files $update_server $update_filename
   reboot
else
   /sbin/fw_setenv update_method automatic
fi


