#!/bin/sh

# Usage:
# update_system.sh  update_filename current_system_mount_point 
#                   temp_mount_point
# 
# update_filename = name of the update file
# current_system_mount_point = where current root was moved to
# temp_mount_point = mount point of tmpfs filesystem

echo ============================
echo System is now being updated.
echo ============================

# Check parameters and define default values if needed 
if [ -z $1 ] ; then update_filename=tester.tar.gz
else update_filename=$1
fi
if [ -z $2 ] ; then current_system_mount_point=/current_system
else current_system_mount_point=$2
fi
if [ -z $3 ] ; then temp_mount_point=/temporary_files
else temp_mount_point=$3
fi

# Extract pre.sh which is needed before extraction
cd $current_system_mount_point$temp_mount_point
tar xzf $update_filename update_scripts/pre.sh

# Run pre.sh
if [ -s update_scripts/pre.sh ] ; then update_scripts/pre.sh $current_system_mount_point
fi

# Extract updated files into new filesystem
cd $current_system_mount_point
extract_tar.sh $current_system_mount_point$temp_mount_point/$update_filename

# Run post.sh
if [ -s update_scripts/post.sh ] ; then update_scripts/post.sh $current_system_mount_point
fi


