#!/bin/sh

DOACTION="NOTHING"
DOTRACE=""

usage ( )
{
  echo "Usage: $0 {-s|-z|-r} -n <TRACE_NAME>"
  echo "-s: START trace" 
  echo "-z: STOP trace" 
  echo "-s: RESTART trace"
  echo "-n: Perform action on trace <TRACE_NAME>" 
  exit
}

if [ $# -lt 2 ] ; then
  usage
fi

while getopts "n:rsz" option ; do
  case $option in
    n) DOTRACE=$OPTARG;;
    r) DOACTION="RESTART";;
    s) DOACTION="START";;
    z) DOACTION="STOP";;
    *) usage;;
  esac
done

start_trace ( )
{
  /usr/bin/lttctl -n $DOTRACE -d -t $LTT_NFS_MOUNT_DIR -l $LTT_DEBUGFS_DIR/ltt
}

stop_trace ( )
{
  /usr/bin/lttctl -n $DOTRACE -R
}

if [ "$DOACTION" = "START" ] ; then
  echo "Starting LTT Trace..."
  rm -rf $LTT_NFS_MOUNT_DIR/[ce]*
  start_trace
elif [ "$DOACTION" = "STOP" ] ; then
  echo "Stopping LTT Trace..."
  stop_trace
elif [ "$DOACTION" = "RESTART" ] ; then
  echo "Re-Starting LTT Trace..."
  stop_trace
  start_tarce
else
  echo "No Action performed..."
fi

